<div fxLayout="column" fxLayoutGap="20px">
  <div fxFlex>
    <div fxLayout="row wrap" fxLayoutAlign="start center" fxLayoutGap="20px">
      <p class="mat-h2" fxFlex="nogrow">
        {{
          !model || !model.length
            ? 'Nessuna Immagine inserita nella Gallery'
            : 'Gallery'
        }}
      </p>
      <div fxFlex *ngIf="!model || !model.length">
        <button mat-mini-fab color="primary" (click)="addGalleryImage()">
          <mat-icon>add</mat-icon>
        </button>
      </div>
    </div>
  </div>
  <div fxFlex>
    <div
      fxLayout="row wrap"
      fxLayoutGap="10px grid"
      fxLayoutGap="20px grid"
      *ngIf="model && model.length"
    >
      <div
        fxFlex="100"
        *ngFor="
          let image of model;
          let index = index;
          let last = last;
          let first = first
        "
      >
        <mat-card>
          <mat-card-header>
            <mat-icon (click)="removeGalleryElement(index)">clear</mat-icon>
          </mat-card-header>
          <mat-card-content>
            <dinamo-uploads [(uploadedFile)]="model[index]"></dinamo-uploads>

            <ng-container
              *ngTemplateOutlet="
                galleryCustomFieldsTemplate;
                context: { $implicit: model[index] }
              "
            >
            </ng-container>
          </mat-card-content>
          <mat-card-actions fxLayout="row wrap">
            <span fxFlex></span>
            <div *ngIf="!first" fxFlex="nogrow">
              <mat-icon (click)="moveGalleryElement(index, 'prev')">
                keyboard_arrow_left
              </mat-icon>
            </div>
            <div *ngIf="!last" fxFlex="nogrow">
              <mat-icon (click)="moveGalleryElement(index, 'next')">
                keyboard_arrow_right
              </mat-icon>
            </div>
          </mat-card-actions>
        </mat-card>
      </div>
    </div>
  </div>
  <div fxFlex *ngIf="model && model.length">
    <div fxLayout="row wrap">
      <span fxFlex></span>
      <div fxFlex="nogrow">
        <button mat-raised-button color="primary" (click)="addGalleryImage()">
          Aggiungi
        </button>
      </div>
    </div>
  </div>
</div>
